#ifndef MBED_TI_VL53L0X_H
#define MBED_TI_VL53L0X_H

#include "mbed.h"
#include "vl53l0x_api.h"
#include "vl53l0x_i2c_platform.h"
#include "vl53l0x_platform.h"

/**
 * LPC1768用
 */
class TI_VL53L0X
{
public:
    TI_VL53L0X();

    void printPalState(VL53L0X_State state);
    void printPalError(VL53L0X_Error status);
    void printRangeStatus(
        VL53L0X_RangingMeasurementData_t *pRangingMeasurementData);
    VL53L0X_Error waitMeasurementDataReady(VL53L0X_DEV dev);
    VL53L0X_Error waitStopCompleted(VL53L0X_DEV dev);

    void setup();
    void calibration();
    void stopMeasurement();
    void startMeasurement();
    int getMeasurement();

private:
  VL53L0X_State apiState;
  VL53L0X_Error status;
  VL53L0X_Dev_t myDevice;
  VL53L0X_Dev_t *pMyDevice;
};

#endif

